=== debian/control ===
Source: eslint
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 13),
 help2man <!nodoc>,
 jq,
 mocha <!nocheck>,
 node-acorn <!nocheck> <!nodoc>,
 node-ajv <!nocheck> <!nodoc>,
 node-babel-core (>= 7) <!nocheck>,
 node-babel-loader (>= 7) <!nocheck>,
 node-babel-preset-env (>= 7) <!nocheck>,
 node-chai <!nocheck>,
 node-chalk <!nocheck>,
 node-cheerio <!nocheck>,
 node-concat-stream <!nocheck>,
 node-dateformat <!nocheck>,
 node-debug <!nocheck>,
 node-doctrine <!nocheck> <!nodoc>,
 node-ejs <!nocheck>,
 node-eslint-plugin-eslint-plugin <!nocheck>,
 node-eslint-plugin-node (>= 8.0.0~) <!nocheck>,
 node-eslint-scope <!nocheck> <!nodoc>,
 node-eslint-rule-composer <!nocheck>,
 node-eslint-utils <!nocheck> <!nodoc>,
 node-eslint-visitor-keys <!nocheck> <!nodoc>,
 node-espree <!nocheck> <!nodoc>,
 node-esprima <!nocheck>,
 node-esquery <!nocheck> <!nodoc>,
 node-estraverse <!nocheck>,
 node-esutils <!nocheck> <!nodoc>,
 node-file-entry-cache <!nocheck> <!nodoc>,
 node-functional-red-black-tree <!nocheck> <!nodoc>,
 node-glob <!nocheck>,
 node-globals <!nocheck> <!nodoc>,
 node-ignore (>= 5.2.0) <!nocheck> <!nodoc>,
 node-import-fresh <!nocheck> <!nodoc>,
 node-imurmurhash <!nocheck> <!nodoc>,
 node-inquirer <!nocheck>,
 node-js-yaml <!nocheck>,
 node-json-stable-stringify <!nocheck>,
 node-leche <!nocheck>,
 node-levn <!nocheck>,
 node-lodash <!nocheck> <!nodoc>,
 node-memfs <!nocheck>,
 node-mkdirp <!nocheck> <!nodoc>,
 node-optionator <!nocheck> <!nodoc>,
 node-path-is-inside <!nocheck> <!nodoc>,
 node-progress <!nocheck>,
 node-proxyquire <!nocheck>,
 node-recast <!nocheck>,
 node-regenerate-unicode-properties <!nocheck> <!nodoc>,
 node-regexpp <!nocheck> <!nodoc>,
 node-semver <!nocheck>,
 node-shelljs <!nocheck>,
 node-sinon <!nocheck>,
 node-strip-ansi <!nocheck>,
 node-strip-json-comments <!nocheck>,
 node-text-table <!nocheck>,
 node-temp <!nocheck>,
 nodejs:any (>= 12.22.0),
 pandoc <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://eslint.org/
Vcs-Browser: https://salsa.debian.org/js-team/eslint
Vcs-Git: https://salsa.debian.org/js-team/eslint.git
Rules-Requires-Root: no

Package: eslint
Architecture: all
Depends:
 node-ajv,
 node-concat-stream,
 node-debug,
 node-doctrine,
 node-eslint-visitor-keys,
 node-eslint-scope,
 node-espree,
 node-esquery,
 node-estraverse,
 node-eslint-utils,
 node-esutils,
 node-file-entry-cache,
 node-functional-red-black-tree,
 node-glob-parent,
 node-globals,
 node-import-fresh,
 node-imurmurhash,
 node-ignore (>= 5.2.0),
 node-is-glob,
 node-json-stable-stringify,
 node-levn,
 node-lodash,
 node-memfs,
 node-mkdirp,
 node-optionator,
 node-progress,
 node-regenerate-unicode-properties,
 node-regexpp,
 node-semver,
 node-strip-json-comments,
 node-types-estree,
 node-types-json-schema,
 nodejs:any (>= 12.22.0),
 ${misc:Depends},
Recommends:
 node-chalk,
 node-inquirer,
 node-js-yaml,
 node-strip-ansi,
 node-text-table,
Suggests:
 node-babel-eslint,
 node-esprima,
 node-esprima-fb,
Provides:
 node-eslint (= ${source:Version}),
 node-eslint-config-eslint (= ${config:Version}),
 node-types-eslint (= ${types:Version}),
Description: AST-based pattern checker for JavaScript
 ESLint is a tool for identifying and reporting on patterns
 found in ECMAScript/JavaScript code.
 In many ways, it is similar to JSLint and JSHint
 with a few exceptions:
 .
  * ESLint uses Espree for JavaScript parsing
  * ESLint uses an AST to evaluate patterns in code
  * ESLint is completely pluggable,
    every single rule is a plugin and you can add more at runtime
 .
 Some uses of ESLint require additional packages:
  * Use of parsers other than the default (Espree) require that parser,
    e.g. node-babel-eslint, node-esprima, or node-esprima-fb.
